<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ShowPhoneNumbers.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">useCases</a> &gt; <span class="el_source">ShowPhoneNumbers.java</span></div><h1>ShowPhoneNumbers.java</h1><pre class="source lang-java linenums">package useCases;

import java.util.List;

import data.IPhoneNumberRepository;
import Entities.Phone_Number;

public class ShowPhoneNumbers implements IShowPhoneNumbers{

	IPhoneNumberRepository PhoneNumberRepository;
<span class="fc" id="L11">	public ShowPhoneNumbers(IPhoneNumberRepository PhoneNumberRepository) {</span>
<span class="fc" id="L12">		this.PhoneNumberRepository = PhoneNumberRepository;</span>
<span class="fc" id="L13">	}</span>
	@Override
	public List&lt;Phone_Number&gt; ShowPhoneNumbersFromPersistence() {
<span class="fc" id="L16">		return PhoneNumberRepository.getNumbers();</span>
	}
	@Override
	public List&lt;Phone_Number&gt; ShowNewPhoneNumbers() {
<span class="fc" id="L20">		return PhoneNumberRepository.getNewPhoneNumbers();</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>